import time
import socket

class Server:

    def __init__(self, config):
        self.host = ''
        self.port = int(config.get("Comm", "port"))
        self.finish = 0

        self.tcp = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        self.tcp.bind( (self.host, self.port) )
        self.tcp.listen(1)

    def now(self):
        return time.strftime("%Y-%m-%d %H:%M:%S");

    def getMsg(self, size):
        con = self.data[0]
        return con.recv(size)

    def getRequest(self):
        self.data = self.tcp.accept()
        print "[%s] Received request from ip=%s" % (self.now(), self.data[1] )
        return self.data

    def disconnect_client(self, connection):
        connection.close()

    def stop(self):
        self.tcp.close()
